$! 30-Nov-1995  ldap V3.2  Craig Watkins  Innosoft International, Inc.
$!
$! This is a crude make procedure to build the ldap libraries and the test
$! program.  This should work with DECC or VAXC compilers.
$!
$! This links with UCX libraries so that it should work on any TCP/IP
$! package that has UCX emulation.  This has been tested with MultiNet.
$! You may have to change the LINK to find your copy of UCX$IPC.OLB.
$!
$! Modifications
$! -------------
$! 25-Jan-2000	J.Begg	Set up for DECC on both VAX and Alpha
$!
$ ARCH = "VAX"
$ if f$getsyi("hw_model") .GE. 1024 then ARCH = "ALPHA"
$ if f$search("''ARCH'.DIR") .eqs. "" then $ create/dir/log [.'ARCH']
$ cc_switches = "/decc/standard=vaxc/include=([---.include],[---.libraries.vms])/define=(__STDC__,LDAP_DEBUG,CLDAP,LDAP_REFERRALS,STR_TRANSLATION,LDAP_CHARSET_8859=88591,__VMS_VER=60200000)/object=[.'ARCH']/warning=disable=(OUTTOOMANY,OUTTYPELEN)
$ !
$ on error then $ goto Failed
$ define decc$shr flash$dka0:[vmslib.'ARCH'.v62]decc$shr.exe
$
$ cc 'CC_SWITCHES' 'P1'  [---.libraries.vms]strings
$ !
$ library/insert/log ldap_'ARCH'.olb [.'ARCH']strings.obj
$ !
$ link/exe=[]test.exe_'ARCH' [.'ARCH']test, []ldap_'ARCH'.olb/library
$!
$Exit:
$ sts = $status
$ deassign decc$shr
$ exit 'sts'
